[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TNotifyCallBack

Thread termination callback handler

## Declaration

Source position: classesh.inc line 1695

`type TNotifyCallBack = procedure(`
`Sender: TObject;`
`AData: Pointer`
`);`

## Description

TNotifyCallBack is used to notify about thread termination when using static callbacks. When called, the Sender will contain the thread which is terminating, and AData is the AData parameter passed to TThread.ExecuteInThread.

## See also

TThread.ExecuteInThread |  | Execute a method or static procedure in a thread
TThread |  | Abstract Thread class.